---
- name: Set Keyboard Layout
  hosts: all
  collections:
    - elektra_initiative.libelektra
  tasks:
    - name: Mount Configuration
      elektra:
        keys:
          - system:
              elektra:
                mountpoints:
                  system:\/keyboard:
                    - value: ""
                    - keys:
                        config:
                          - value: ""
                          - keys:
                              chars:
                                23:
                                  - value: 23
                                3B:
                                  - value: 3B
                                3D:
                                  - value: 3D
                                5C:
                                  - value: 5C
                        definition:
                          path:
                            - value: /etc/default/keyboard
                            - keys:
                                absolute:
                                  - value: true
                          positions:
                            get:
                              poststorage:
                                "#0":
                                  - value: ccode
                              resolver:
                                - value: resolver
                              storage:
                                - value: mini
                            set:
                              commit:
                                - value: resolver
                              precommit:
                                "#0":
                                  - value: sync
                              prestorage:
                                "#0":
                                  - value: ccode
                              resolver:
                                - value: resolver
                              rollback:
                                - value: resolver
                              storage:
                                - value: mini
                        plugins:
                          backend:
                            - value: ""
                            - keys:
                                name:
                                  - value: backend
                          ccode:
                            - value: ""
                            - keys:
                                name:
                                  - value: ccode
                          mini:
                            - value: ""
                            - keys:
                                name:
                                  - value: mini
                          resolver:
                            - value: ""
                            - keys:
                                name:
                                  - value: resolver_fm_hpu_b
                          sync:
                            - value: ""
                            - keys:
                                name:
                                  - value: sync
    - name: Set Elektra Keys
      elektra:
        keys:
          - system:
              keyboard:
                XKBLAYOUT:
                  - value: "\"de\""
...